# HDB

## Build

### Build dependencies

- GNU/Linux (can be determined using 'uname -o')
- [\_POSIX\_C\_Source](https://www.gnu.org/software/libc/manual/html_node/Feature-Test-Macros.html) >= 200112L
- [GCC](https://gcc.gnu.org)
- [libsqlite3](https://sqlite.org)

### Runtime dependencies

- [glibc](https://www.gnu.org/software/libc)
- libsqlite3

### Building

Firstly make sure you have [cloned](https://git-scm.com/docs/git-clone) the repository to your system.

This project ships with a [Makefile](https://www.gnu.org/software/make/manual/make.html#Overview) which can be used for compiling a debug version or a release version.

The debug version is made using '-ggdb', so if you use a debugger other than [GDB](https://sourceware.org/gdb), you will need to modify the Makefile

By default it compiles the debug version. To compile the build version, you can run the following command in a terminal.

```bash
make release
```
